创建文生视频任务
curl --request POST \
--url https://ai.alad.com/v1/video/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan2.2-t2v-a14b",
"prompt": "一只猫在弹钢琴",
"duration": 5,
"width": 123,
"height": 123,
"seed": 123,
"metadata": {}
}
'import requests
url = "https://ai.alad.com/v1/video/generations"
payload = {
"model": "wan2.2-t2v-a14b",
"prompt": "一只猫在弹钢琴",
"duration": 5,
"width": 123,
"height": 123,
"seed": 123,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'wan2.2-t2v-a14b',
prompt: '一只猫在弹钢琴',
duration: 5,
width: 123,
height: 123,
seed: 123,
metadata: {}
})
};
fetch('https://ai.alad.com/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>",
"status": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Alibaba
Wan2.2 T2V A14B
根据文本描述生成视频。为异步任务——提交后通过 GET /v1/video/generations/{task_id} 轮询状态,直到 status 为 succeeded。
POST
/
v1
/
video
/
generations
创建文生视频任务
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
⌘I

